<?xml version="1.0" encoding="UTF-8"?>
<Flow xmlns="http://soap.sforce.com/2006/04/metadata" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <apiVersion>49.0</apiVersion>
    <assignments>
        <name>PhysharedSmartBox</name>
        <label>sharedSmartBox</label>
        <locationX>738</locationX>
        <locationY>270</locationY>
        <assignmentItems>
            <assignToReference>is_Leased</assignToReference>
            <operator>Assign</operator>
            <value>
                <elementReference>SmartBox_Leased</elementReference>
            </value>
        </assignmentItems>
        <assignmentItems>
            <assignToReference>NumberofSmartbox</assignToReference>
            <operator>Assign</operator>
            <value>
                <elementReference>Number_of_smartbox_chassis_used</elementReference>
            </value>
        </assignmentItems>
        <assignmentItems>
            <assignToReference>IsSmartbox</assignToReference>
            <operator>Assign</operator>
            <value>
                <booleanValue>true</booleanValue>
            </value>
        </assignmentItems>
    </assignments>
    <choices>
        <name>NoneChoice</name>
        <choiceText>None</choiceText>
        <dataType>String</dataType>
        <value>
            <stringValue>None</stringValue>
        </value>
    </choices>
    <decisions>
        <name>systemTypeCheck</name>
        <label>systemTypeCheck</label>
        <locationX>252</locationX>
        <locationY>50</locationY>
        <defaultConnectorLabel>No SmartBox</defaultConnectorLabel>
        <rules>
            <name>System_Type</name>
            <conditionLogic>and</conditionLogic>
            <conditions>
                <leftValueReference>systemtype</leftValueReference>
                <operator>Contains</operator>
                <rightValue>
                    <stringValue>SmartBox</stringValue>
                </rightValue>
            </conditions>
            <conditions>
                <leftValueReference>systemtype</leftValueReference>
                <operator>NotEqualTo</operator>
                <rightValue>
                    <stringValue>Headend Non-Smartbox</stringValue>
                </rightValue>
            </conditions>
            <connector>
                <targetReference>SmartBox_Chassis</targetReference>
            </connector>
            <label>Is_SmartBox</label>
        </rules>
    </decisions>
    <dynamicChoiceSets>
        <name>Numberofsmartboxchassis</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Number_of_smartboxes_used__c</picklistField>
        <picklistObject>Opportunity</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>SharedPhysicalSmartbox</name>
        <dataType>Picklist</dataType>
        <displayField xsi:nil="true"/>
        <object xsi:nil="true"/>
        <picklistField>Main_Head_Shared_Physical_Plant__c</picklistField>
        <picklistObject>Opportunity</picklistObject>
    </dynamicChoiceSets>
    <dynamicChoiceSets>
        <name>testobj</name>
        <dataType>String</dataType>
        <displayField>AccountId</displayField>
        <object>Contact</object>
    </dynamicChoiceSets>
    <interviewLabel>SharedSmartBox {!$Flow.CurrentDateTime}</interviewLabel>
    <label>SharedSmartBox</label>
    <processMetadataValues>
        <name>BuilderType</name>
        <value>
            <stringValue>LightningFlowBuilder</stringValue>
        </value>
    </processMetadataValues>
    <processMetadataValues>
        <name>OriginBuilderType</name>
        <value>
            <stringValue>LightningFlowBuilder</stringValue>
        </value>
    </processMetadataValues>
    <processType>Flow</processType>
    <screens>
        <name>Leased_SmartBox</name>
        <label>Leased Smartbox</label>
        <locationX>739</locationX>
        <locationY>38</locationY>
        <allowBack>true</allowBack>
        <allowFinish>true</allowFinish>
        <allowPause>false</allowPause>
        <connector>
            <targetReference>PhysharedSmartBox</targetReference>
        </connector>
        <fields>
            <name>Header02</name>
            <fieldText>&lt;p&gt;&lt;b&gt;{!CreatePropertyHeader}&lt;/b&gt;&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>Stage1_2</name>
            <extensionName>c:flowStages_field</extensionName>
            <fieldType>ComponentInstance</fieldType>
            <inputParameters>
                <name>stages</name>
                <value>
                    <elementReference>$Flow.ActiveStages</elementReference>
                </value>
            </inputParameters>
            <inputParameters>
                <name>currentStage</name>
                <value>
                    <elementReference>$Flow.CurrentStage</elementReference>
                </value>
            </inputParameters>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>LeasedScreen</name>
            <fieldText>&lt;p&gt;&lt;b&gt; &lt;/b&gt;&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;&lt;b&gt;Create Opportunity:                                        &lt;/b&gt;{!RecTypeLabel}&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>Accountinfo_2</name>
            <fieldText>&lt;b&gt;Account Name: &lt;/b&gt;{!AcctName}</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>SmartBox_Leased</name>
            <dataType>Boolean</dataType>
            <defaultValue>
                <booleanValue>false</booleanValue>
            </defaultValue>
            <fieldText>Is the Smartbox LEASED?</fieldText>
            <fieldType>InputField</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <showFooter>true</showFooter>
        <showHeader>false</showHeader>
    </screens>
    <screens>
        <name>SmartBox_Chassis</name>
        <label>smartbox chassis used</label>
        <locationX>444</locationX>
        <locationY>28</locationY>
        <allowBack>true</allowBack>
        <allowFinish>true</allowFinish>
        <allowPause>false</allowPause>
        <connector>
            <targetReference>Leased_SmartBox</targetReference>
        </connector>
        <fields>
            <name>header01</name>
            <fieldText>&lt;p&gt;&lt;b&gt;{!CreatePropertyHeader}&lt;/b&gt;&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>Stage1_0</name>
            <extensionName>c:flowStages_field</extensionName>
            <fieldType>ComponentInstance</fieldType>
            <inputParameters>
                <name>currentStage</name>
                <value>
                    <elementReference>$Flow.CurrentStage</elementReference>
                </value>
            </inputParameters>
            <inputParameters>
                <name>stages</name>
                <value>
                    <elementReference>$Flow.ActiveStages</elementReference>
                </value>
            </inputParameters>
            <isRequired>true</isRequired>
        </fields>
        <fields>
            <name>Smartboxscreen</name>
            <fieldText>&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;&lt;b&gt; Create Opportunity: &lt;/b&gt;  {!RecTypeLabel}&lt;span class=&quot;ql-cursor&quot;&gt;﻿&lt;/span&gt;       &lt;b&gt;                             &lt;/b&gt;&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>AccountInfo_1</name>
            <fieldText>&lt;p&gt;&lt;b&gt;﻿Account Name: &lt;/b&gt;{!AcctName}&lt;/p&gt;</fieldText>
            <fieldType>DisplayText</fieldType>
        </fields>
        <fields>
            <name>Number_of_smartbox_chassis_used</name>
            <choiceReferences>Numberofsmartboxchassis</choiceReferences>
            <dataType>String</dataType>
            <fieldText>Number of smartbox chassis used?</fieldText>
            <fieldType>DropdownBox</fieldType>
            <isRequired>true</isRequired>
        </fields>
        <showFooter>true</showFooter>
        <showHeader>false</showHeader>
    </screens>
    <startElementReference>systemTypeCheck</startElementReference>
    <status>Active</status>
    <variables>
        <name>AcctName</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
    </variables>
    <variables>
        <name>CreatePropertyHeader</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>false</isInput>
        <isOutput>false</isOutput>
        <value>
            <stringValue>GuideMe - Create Property</stringValue>
        </value>
    </variables>
    <variables>
        <name>is_Leased</name>
        <dataType>Boolean</dataType>
        <isCollection>false</isCollection>
        <isInput>false</isInput>
        <isOutput>true</isOutput>
        <value>
            <booleanValue>false</booleanValue>
        </value>
    </variables>
    <variables>
        <name>IsSmartbox</name>
        <dataType>Boolean</dataType>
        <isCollection>false</isCollection>
        <isInput>false</isInput>
        <isOutput>true</isOutput>
        <value>
            <booleanValue>false</booleanValue>
        </value>
    </variables>
    <variables>
        <name>NumberofSmartbox</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>false</isInput>
        <isOutput>true</isOutput>
    </variables>
    <variables>
        <name>PhysicallysharedSmartbox</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>false</isInput>
        <isOutput>true</isOutput>
    </variables>
    <variables>
        <name>RecTypeLabel</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>false</isOutput>
    </variables>
    <variables>
        <name>sharedSmartbox</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>false</isOutput>
    </variables>
    <variables>
        <name>systemtype</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>false</isOutput>
    </variables>
    <variables>
        <name>test</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>false</isInput>
        <isOutput>false</isOutput>
        <objectType>Contact</objectType>
    </variables>
    <variables>
        <name>testcon</name>
        <dataType>SObject</dataType>
        <isCollection>true</isCollection>
        <isInput>false</isInput>
        <isOutput>false</isOutput>
        <objectType>Contact</objectType>
    </variables>
    <variables>
        <name>varobj</name>
        <dataType>String</dataType>
        <isCollection>true</isCollection>
        <isInput>false</isInput>
        <isOutput>false</isOutput>
    </variables>
</Flow>
